## xyzservices 2022.6.0

=== debian/changelog ===
xyzservices (2022.6.0-2) unstable; urgency=medium

  * debian/control: Build-Depends: Add <!nocheck> to python3-pytest.
  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Tue, 26 Jul 2022 08:13:01 +0100

xyzservices (2022.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014039)

 -- Edward Betts <edward@4angle.com>  Wed, 29 Jun 2022 06:50:06 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xyzservices
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf xyzservices.egg-info/

## xyzservices 2023.2.0

=== Makefile ===
.PHONY: update-leaflet compress

# update leaflet-providers_parsed.json from source
update-leaflet:
	cd provider_sources && \
	python _parse_leaflet_providers.py

# compress json sources to data/providers.json
compress:
	cd provider_sources && \
	python _compress_providers.py

## xyzservices 2022.9.0

=== debian/changelog ===
xyzservices (2022.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Skip a failing test, report upstream.
  * Skip tests that query external map services.

 -- Edward Betts <edward@4angle.com>  Tue, 25 Oct 2022 16:04:47 +0100

=== debian/control ===
Source: xyzservices
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-mercantile,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/geopandas/xyzservices
Vcs-Browser: https://salsa.debian.org/python-team/packages/xyzservices
Vcs-Git: https://salsa.debian.org/python-team/packages/xyzservices.git

Package: python3-xyzservices
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Source of XYZ tiles providers
 A lightweight library providing a repository of available XYZ services
 offering raster basemap tiles. The repository is provided via Python API and as
 a compressed JSON file.
 .
 XYZ tiles can be used as background for your maps to provide necessary spatial
 context. xyzservices offer specifications of many tile services and provide
 an easy-to-use tools to plug them into your work, no matter if interactive or
 static.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-mercantile, python3-pytest, python3-requests, @

## xyzservices 2023.2.0

=== debian/changelog ===
xyzservices (2023.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 24 Feb 2023 17:37:37 +0000

xyzservices (2022.9.0-2) unstable; urgency=medium

  * Remove python3-mercantile from Build-Depends, it is unmaintained.
  * Add patch from Bas Couwenberg <sebastic@debian.org> to skip tests when
    mercantile is not available. (Closes: #1025250)

 -- Edward Betts <edward@4angle.com>  Sun, 04 Dec 2022 14:35:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_NAME=xyzservices
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS=-k "not test_callable" -m "not request"
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xyzservices-$1\.tar\.gz/ \
  https://github.com/geopandas/xyzservices/tags .*/v?(\d\S+)\.tar\.gz

## xyzservices 2023.10.0

=== debian/changelog ===
xyzservices (2023.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 11 Oct 2023 15:15:46 +0100

xyzservices (2023.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update mercantile patch for upstream changes.
  * Remove PYBUILD_TEST_ARGS from debian/rules, no longer needed.
  * Remove .pytest_cache after running tests.
  * Patch setup.py to avoid using setuptools_scm.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Sep 2023 17:57:14 +0530

## xyzservices 2023.10.1

=== debian/changelog ===
xyzservices (2023.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Nov 2023 09:38:26 -0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-mercantile,
                python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/geopandas/xyzservices
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xyzservices
 Vcs-Git: https://salsa.debian.org/python-team/packages/xyzservices.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xyzservices
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf xyzservices.egg-info/

override_dh_auto_test:
	dh_auto_test
	rm -r ./.pybuild/*/build/.pytest_cache

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-requests, @

## xyzservices 2024.4.0

=== debian/changelog ===
xyzservices (2024.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Fri, 05 Apr 2024 11:32:21 +0200

## xyzservices 2024.6.0

=== debian/changelog ===
xyzservices (2024.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Jun 2024 10:09:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-requests,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/geopandas/xyzservices
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xyzservices
 Vcs-Git: https://salsa.debian.org/python-team/packages/xyzservices.git

## xyzservices 2024.9.0

=== debian/changelog ===
xyzservices (2024.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Build and install documentation.
  * Add Build-Depends needed for documentation.
  * Add python3-setuptools-scm Build-Depends.

 -- Edward Betts <edward@4angle.com>  Thu, 05 Sep 2024 09:25:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf xyzservices.egg-info/
+	rm -rf xyzservices.egg-info/ doc/_build doc/source/_static/providers.json
+
+override_dh_auto_build:
+	dh_auto_build $@ --buildsystem=pybuild
+	cd doc; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html
 
 override_dh_auto_test:
 	dh_auto_test

## xyzservices 2025.1.0

=== debian/changelog ===
xyzservices (2025.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Use debian/clean instead of override_dh_auto_clean.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 23 Jan 2025 12:02:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,26 @@
 Source: xyzservices
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-pytest <!nocheck>,
-               python3-requests,
-               python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+ python3-setuptools-scm,
+Build-Depends-Indep:
+ furo <!nodoc>,
+ python3-folium <!nodoc>,
+ python3-myst-nb <!nodoc>,
+ python3-numpydoc <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-requests <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/geopandas/xyzservices
@@ -17,7 +29,12 @@
 
 Package: python3-xyzservices
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Source of XYZ tiles providers
  A lightweight library providing a repository of available XYZ services
  offering raster basemap tiles. The repository is provided via Python API and as

=== debian/watch ===
version=4
https://github.com/geopandas/xyzservices/tags .*/v?(\d\S+)\.tar\.gz

## xyzservices 2025.4.0

=== doc/requirements.txt ===
myst-nb
numpydoc
sphinx
sphinx-copybutton
furo
folium

=== debian/changelog ===
xyzservices (2025.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Mon, 05 May 2025 09:12:32 +0300

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/geopandas/xyzservices
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xyzservices
 Vcs-Git: https://salsa.debian.org/python-team/packages/xyzservices.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd doc; PYTHONPATH=$(CURDIR)/src LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

override_dh_auto_test:
	dh_auto_test
	rm -r ./.pybuild/*/build/.pytest_cache

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 python3-requests,
 @,

## xyzservices 2025.11.0

=== debian/changelog ===
xyzservices (2025.11.0-2) unstable; urgency=medium

  * Refresh debian/patches/remove-badges.patch after dropping the
    unintended removal of doc/source/introduction.ipynb.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 26 Dec 2025 15:18:33 +0000

xyzservices (2025.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 20 Dec 2025 16:43:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -11,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
- python3-setuptools-scm,
 Build-Depends-Indep:
  furo <!nodoc>,
  python3-folium <!nodoc>,
@@ -19,13 +17,14 @@
  python3-numpydoc <!nodoc>,
  python3-pytest <!nocheck>,
  python3-requests <!nocheck>,
+ python3-setuptools-scm,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/geopandas/xyzservices
 Vcs-Browser: https://salsa.debian.org/python-team/packages/xyzservices
 Vcs-Git: https://salsa.debian.org/python-team/packages/xyzservices.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-xyzservices
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export PYBUILD_TEST_ARGS=-k "not test_callable" -m "not request" --pyargs xyzservices.tests
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: geopandas
Project: xyzservices
